Skip to main content
POST
Send an email to an address

Authorizations

Authorization
string
header
required

Authentication token required for accessing protected endpoints. The token should be obtained from the main SalesCaptain authentication service.

Path Parameters

company_id
string<uuid>
required

Unique identifier for the company

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

Body

application/json
to_email
string<email>
required

Recipient email address

conversation_profile_id
string<uuid>
required

The conversation profile whose email address the email is sent from

Example:

"c3d4e5f6-a7b8-9012-cdef-123456789012"

subject
string
required
Maximum string length: 255
Example:

"Your appointment is confirmed"

message_body
string
required

Email body (HTML or plain text)

Example:

"Hi John,<br/>Your appointment is confirmed for Friday at 10 AM.<br/>Thanks!"

contact_name
string

Optional name used when a new contact is created. If the contact already exists, its first name is updated to this value.

Maximum string length: 100
Example:

"John Smith"

Response

Email sent successfully

message
string
Example:

"Email sent successfully!"

data
object

Result of sending an email to an address